Subject: Re: How about GTK2?
To: Adam <>
From: Julio M. Merino Vidal <>
List: tech-pkg
Date: 07/28/2003 22:36:49
On Mon, 28 Jul 2003 21:41:30 +0200
Adam <> wrote:

> Hi,
> I see more and more packages use GTK-2.x.
> If a package supports both 1.2.x and 2.x, should we:
> 1) Make it use GTK-1.2.x by default, and GTK-2.x optionally
>     (if PKG_USE_GTK2=yes, for example)
> 2) Create separate packages, one for 1.2.x, and another for 2.x
> 3) Always stick to the latest GTK (2.x), if supported
> What do you think? :)

Make two different packages (remember, binary packages).  I would name the
gtk2 pkg something like 'foobar', while the one using gtk1 'foobar-gtk1'.
Though... I would prefer to get rid of gtk1, so you should decide on a pkg
basis if it's worth to keep the gtk1 version around or not.

All this, IMO ;)

Julio M. Merino Vidal <>
The NetBSD Project -